#user nobody;
worker_processes 1;
error_log logs/error.log;
#error_log logs/error.log notice;
#error_log logs/error.log info;
pid        logs/nginx.pid;
events {
    worker_connections 64;
}

http {
    include       mime.types;
    default_type application/octet-stream;
    log_format main '$remote_addr - $remote_user [$time_local] $request '
    #                  '"$status" $body_bytes_sent "$http_referer" '
    #                  '"$http_user_agent" "$http_x_forwarded_for"';
    access_log logs/access.log main;
    sendfile        on;
    #tcp_nopush     on;
    #keepalive_timeout 0;
    keepalive_timeout 100;
    # set request cache
    client_header_buffer_size    2k;
    large_client_header_buffers 4 4k;
    # open gzip model
    gzip on;
    gzip_min_length 1100;
    gzip_buffers     4 8k;
    gzip_types       text/plain;
    output_buffers   1 32k;
    postpone_output 1460;

    upstream www.qikemi.com {
        server 127.0.0.1:8085;
    }

    upstream www.xiexianbin.cn {
        server 127.0.0.1:8086;
    }

    upstream www.xiaohua.asia {
        server 127.0.0.1:8087;
    }

    server {
        listen       80;
        server_name www.qikemi.com;
        #charset koi8-r;
        access_log logs/hostqikemi.access.log main;
        location / {
            #root   html;
            #index index.html index.htm;
            proxy_pass http://www.qikemi.com;
            include proxy.conf;
        }
    }

    server {
        listen       80;
        server_name www.xiexianbin.cn;
        #charset koi8-r;
        access_log logs/host166801.access.log main;
        location / {
            #root   html;
            #index index.html index.htm;
            proxy_pass http://www.xiexianbin.cn;
            include proxy.conf;
            expires 30d;
        }
    }

    server {
        listen       80;
        server_name www.xiaohua.asia;
        #charset koi8-r;
        access_log logs/hostxiaohua.access.log main;
        location / {
            #root   html;
            #index index.html index.htm;
            proxy_pass http://www.xiaohua.asia;
            include proxy.conf;
            expires 30d;
        }
    }
}
